Subject: bug#3229: 23.0.93; ediff-directories isn't buffer coding system independent

From: Robert Marshall <[email-masked]>
Date: Wed, 06 May 2009 10:41:05 +0100

I have two files with the same name (extracted from two svn
repositories) one of which has a coding system of undecided-dos, the
other is undecided-unix.

WHen I perform an ediff-buffers between the two files loaded into
emacs I get - correctly - zero reported differences. However if I look
at the differences using ediff-directories I get a single difference
region consisting of the whole file.

If I manually set the coding systems in the two files to be identical
then ediff-directories works correctly reporting no differences.

In GNU Emacs 23.0.93.1 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
 of 2009-05-05 on robert-laptop
Windowing system distributor `The X.Org Foundation', version 11.0.10502000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: F90

Minor modes in effect:
  desktop-save-mode: t
  recentf-mode: t
  show-paren-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:

Recent messages:
Processing difference regions ... done
Region 1 exceeds the auto-refinement limit. Type `*' to refine [2 times]
Quit this Ediff session & show containing session group? (y or n) 
Quit this session group? (y or n) 
Making completion list... [2 times]
Computing differences between iec909MatrixOps.f90 and iec909MatrixOps.f906806DzI ...
Processing difference regions ... done
Quit this Ediff session? (y or n) 
Making completion list... [2 times]
Type C-x 4 C-o RET to restore the other window, C-M-v to scroll help.